# Fetch the program's configured webhook subscriptions

<p>Fetchs multiple subscription records at a time, and can be paginated using cursor pagination. </p>

Endpoint: GET /v2/webhooks/subscriptions
Version: 2026-05-01
Security: oauth2_as_a_user, oauth2_as_a_server

## Query parameters:

  - `page.size` (integer)
    Return ``page.size`` number of records starting at ``size*number``. The default page size is 10 (number of records per page), resulting in the first page being retrieved. The maximum page size is 100.

  - `page.number` (integer)
    Using classical pagination, the page number to return. Default is 1

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (string)
    Unique identifier for this subscription.
    Example: abc123

  - `data.url` (string)
    The url that will be called when delivering events for this subscription.
    Example: https://example.com/webhook

  - `data.authorization_header` (string)
    A value will be sent in every delivery as the 'Authorization' header value in the POST request.
    Example: Bearer abc123-some-token

  - `data.active` (boolean)
    Whether the subscription is "turned on". Inactive subscriptions will not send deliveries to the subscription url except for ping deliveries.
    Example: true

  - `data.events` (array)

  - `data.events.name` (any)
    The name of the event.
    Example: content_published

  - `data.events.version` (any)
    The version of the event this subscription uses.
    Example: 1

  - `data.created_at` (string)
    Example: 2000-01-01T00:00:00Z

  - `data.updated_at` (string)
    Example: 2000-01-01T00:00:00Z

  - `meta` (object)

  - `meta.pagination` (object)

  - `meta.pagination.cursor` (any)
    The cursor value used for the set of records returned.
    Example: current-cursor-value

  - `meta.pagination.next` (any)
    The cursor value that can be used for the *next* set of records in the next request using the same filters.
    Example: nex-cursor-value

  - `meta.pagination.page_size` (any)
    The max number of records requested with pagination applied. Is not necessarily an exact count of the current records returned. Defaults to `10`.
    Example: 10

